%global major	14
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:           reproc
Version:        14.2.5
Release:        %mkrel 1
Summary:        A cross-platform (C99/C++11) process library
Group:          System/Libraries
License:        MIT 
URL:            https://github.com/DaanDeMeyer/reproc
Source0:        https://github.com/DaanDeMeyer/reproc/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake

%description
reproc (Redirected Process) is a cross-platform C/C++ library that simplifies
starting, stopping and communicating with external programs.
The main use case is executing command line applications directly from C or
C++ code and retrieving their output.
reproc consists out of two libraries: reproc and reproc++. reproc is a C99
library that contains the actual code for working with external programs.
reproc++ depends on reproc and adapts its API to an idiomatic C++11 API.
It also adds a few extras that simplify working with external programs
from C++.

%package -n %{libname}
Summary:	A cross-platform (C99/C++11) process library
Group:		System/Libraries

%description -n %{libname}
reproc (Redirected Process) is a cross-platform C/C++ library that simplifies
starting, stopping and communicating with external programs.
The main use case is executing command line applications directly from C or
C++ code and retrieving their output.
reproc consists out of two libraries: reproc and reproc++. reproc is a C99
library that contains the actual code for working with external programs.
reproc++ depends on reproc and adapts its API to an idiomatic C++11 API.
It also adds a few extras that simplify working with external programs
from C++.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and headers for %{name}.

%prep
%autosetup -p1

sed -i 's|VERSION 14.2.4|VERSION %{version}|' CMakeLists.txt

%build
%cmake  \
        -DREPROC++=ON \
        -DREPROC_TEST=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libreproc.so.%{major}
%{_libdir}/libreproc.so.%{version}
%{_libdir}/libreproc++.so.%{major}
%{_libdir}/libreproc++.so.%{version}

%files -n %{devname}
%{_includedir}/reproc/
%{_includedir}/reproc++/
%{_libdir}/pkgconfig/reproc.pc
%{_libdir}/libreproc.so
%{_libdir}/libreproc++.so
%{_libdir}/cmake/reproc/
%{_libdir}/cmake/reproc++/
%{_libdir}/pkgconfig/reproc++.pc


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 14.2.5-1.mga10
+ Revision: 2146960
- new version: 14.2.5

* Thu Mar 21 2024 papoteur <papoteur> 14.2.4-2.20230609git1c07bdb.mga10
+ Revision: 2051245
- version to git 2023-06-09
- Add really generation of reproc++ library

* Sun Jan 15 2023 daviddavid <daviddavid> 14.2.4-1.mga9
+ Revision: 1933550
- new version: 14.2.4

* Sun Sep 11 2022 neoclust <neoclust> 14.2.2-1.mga9
+ Revision: 1886966
- New version 	14.2.2

* Thu Mar 17 2022 umeabot <umeabot> 14.2.0-4.mga9
+ Revision: 1795380
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 daviddavid <daviddavid> 14.2.0-3.mga8
+ Revision: 1661562
- fix summary

* Sat Dec 19 2020 daviddavid <daviddavid> 14.2.0-2.mga8
+ Revision: 1661269
- fix devel virtual provide

* Sat Dec 19 2020 daviddavid <daviddavid> 14.2.0-1.mga8
+ Revision: 1661263
- initial package reproc (needed for zrythm)

